package com.casic.br.view

import com.casic.br.R
import com.gyf.immersionbar.ImmersionBar
import com.pengxh.kt.lite.base.KotlinBaseActivity
import com.pengxh.kt.lite.extensions.convertColor
import com.pengxh.kt.lite.utils.ImmerseStatusBarUtil
import kotlinx.android.synthetic.main.include_base_title.*

class AddressManagerActivity : KotlinBaseActivity() {

    override fun initLayoutView(): Int = R.layout.activity_edit_address

    override fun setupTopBarLayout() {
        ImmersionBar.with(this).statusBarDarkFont(true).init()
        ImmerseStatusBarUtil.setColor(this, R.color.white.convertColor(this))

        leftBackView.setOnClickListener { finish() }
        titleView.text = "我的地址"
    }

    override fun initData() {

    }

    override fun observeRequestState() {

    }

    override fun initEvent() {

    }
}